Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.gef
Class DefaultFigureProvider

    java.lang.Object
      org.eclipse.amp.agf.gef.DefaultFigureProvider

All Implemented Interfaces:
  IFigureProvider

Direct Known Subclasses:
  BugStyle2DFigureProvider, BugStyle2DFigureProvider, BugStyle2DFigureProvider, BugStyle2DFigureProvider, CityStyle2DFigureProvider, CooperateDefectStyleFigureProvider, FirmStyle2DFigureProvider, FleaStyle2DFigureProvider, HabitatStyle2DFigureProvider, HabitatStyle2DFigureProvider, HabitatStyle2DFigureProvider, HabitatStyle2DFigureProvider, HeatBugStyle2DFigureProvider, HeatCellStyle2DFigureProvider, IndividualStyle2DFigureProvider, IndividualStyle2DFigureProvider, IndividualStyle2DFigureProvider, IndividualStyle2DFigureProvider, InstrumentStyle2DFigureProvider, PlayCellStyleFigureProvider, RatStyle2DFigureProvider, SimpleDrawFigureProvider, TraderStyle2DFigureProvider

    public class DefaultFigureProvider

extends java.lang.Object
implements IFigureProvider

Author:
  mparker

Constructor Summary
`DefaultFigureProvider()`

Method Summary
`org.eclipse.draw2d.IFigure` | `getFigure(java.lang.Object object)` Returns nothing.
`boolean` | `isColorMutable(java.lang.Object object)` False by default.
`boolean` | `isFigureUpdateable(java.lang.Object object)` Does the figure itself change during model execution? This value should only be true if you wish to add or remove values from the figure after initial creation.
`boolean` | `isHandlingColor(java.lang.Object object)` False by default.
`void` | `updateFigure(java.lang.Object object, org.eclipse.draw2d.IFigure figure)` Does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFigureProvider

    public DefaultFigureProvider()

Method Detail

### getFigure

    public org.eclipse.draw2d.IFigure getFigure(java.lang.Object object)

  Returns nothing. You must override this method to avoid a failure.

  Specified by:
    `getFigure` in interface `IFigureProvider`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IFigureProvider.getFigure(java.lang.Object)`

### updateFigure

    public void updateFigure(java.lang.Object object,
                             org.eclipse.draw2d.IFigure figure)

  Does nothing.

  Specified by:
    `updateFigure` in interface `IFigureProvider`
  Parameters:
    `object` -
    `figure` -
  See Also:
    `IFigureProvider.updateFigure(java.lang.Object, org.eclipse.draw2d.IFigure)`

### isColorMutable

    public boolean isColorMutable(java.lang.Object object)

  False by default. If you want to be able to change your figure's color after creation you need to override.

  Specified by:
    `isColorMutable` in interface `IFigureProvider`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IFigureProvider.isColorMutable(java.lang.Object)`

### isFigureUpdateable

    public boolean isFigureUpdateable(java.lang.Object object)

  Does the figure itself change during model execution? This value should only be true if you wish to add or remove values from the figure after initial creation. False by default.

  Specified by:
    `isFigureUpdateable` in interface `IFigureProvider`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IFigureProvider.isFigureUpdateable(java.lang.Object)`

### isHandlingColor

    public boolean isHandlingColor(java.lang.Object object)

  False by default. Override if you're coloring your own figures.

  Specified by:
    `isHandlingColor` in interface `IFigureProvider`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IFigureProvider.isHandlingColor(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD